NX Open C++ Reference Guide
|
Represents a MeasureAngleBuilder
To create a new instance of this class, use MeasureManager::CreateMeasureAngleBuilder
Created in NX5.0.0.
More...
Public Types | |
enum | AngleType { AngleTypeThreePoints, AngleTypeTwoObjects, AngleTypeScreenPoints } |
Represents the angle type. More... | |
enum | ObjectType { ObjectTypeObject, ObjectTypeFeature, ObjectTypeVector } |
Represents the object type. More... | |
enum | OrientationType { OrientationTypeInnerAngle, OrientationTypeOuterAngle } |
Represents the orientation type. More... | |
enum | ProjectionType { ProjectionTypeAngle3d, ProjectionTypeAngleXy, ProjectionTypeTrueAngle } |
Represents the projection type. More... | |
![]() | |
enum | AnnotationType { AnnotationTypeNone, AnnotationTypeShowDimension, AnnotationTypeCreateLine, AnnotationTypeCreateCsys } |
Represents the annotation type. More... | |
enum | RequirementType { RequirementTypeNone, RequirementTypeNew, RequirementTypeExisting } |
Represents the requirement type. More... | |
Public Member Functions | |
NXOpen::Point * | BaseEnd () |
Returns the end point Created in NX5.0.0. | |
NXOpen::Point * | BasePoint () |
Returns the base point Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | Feature1 () |
Returns the feature1 Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | Feature2 () |
Returns the feature2 Created in NX5.0.0. | |
bool | IsExact () |
Returns the exact flag Created in NX7.5.0. | |
NXOpen::SelectDisplayableObject * | Object1 () |
Returns the object1 Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | Object2 () |
Returns the object2 Created in NX5.0.0. | |
NXOpen::MeasureAngleBuilder::ObjectType | Objtype1 () |
Returns the otype1 Created in NX5.0.0. | |
NXOpen::MeasureAngleBuilder::ObjectType | Objtype2 () |
Returns the otype2 Created in NX5.0.0. | |
NXOpen::MeasureAngleBuilder::OrientationType | Orientation () |
Returns the orientation Created in NX5.0.0. | |
NXOpen::Point * | ProtractorEnd () |
Returns the protractor end point Created in NX5.0.0. | |
NXOpen::MeasureAngleBuilder::ProjectionType | Ptype () |
Returns the ptype Created in NX5.0.0. | |
void | SetBaseEnd (NXOpen::Point *baseEnd) |
Sets the end point Created in NX5.0.0. | |
void | SetBasePoint (NXOpen::Point *basePoint) |
Sets the base point Created in NX5.0.0. | |
void | SetExact (bool isExact) |
Sets the exact flag Created in NX7.5.0. | |
void | SetObjtype1 (NXOpen::MeasureAngleBuilder::ObjectType objtype) |
Sets the otype1 Created in NX5.0.0. | |
void | SetObjtype2 (NXOpen::MeasureAngleBuilder::ObjectType objtype) |
Sets the otype2 Created in NX5.0.0. | |
void | SetOrientation (NXOpen::MeasureAngleBuilder::OrientationType mtype) |
Sets the orientation Created in NX5.0.0. | |
void | SetProtractorEnd (NXOpen::Point *protractorEnd) |
Sets the protractor end point Created in NX5.0.0. | |
void | SetPtype (NXOpen::MeasureAngleBuilder::ProjectionType mtype) |
Sets the ptype Created in NX5.0.0. | |
void | SetVector1 (NXOpen::Direction *vector1) |
Sets the vector1 Created in NX5.0.0. | |
void | SetVector2 (NXOpen::Direction *vector2) |
Sets the vector2 Created in NX5.0.0. | |
NXOpen::Direction * | Vector1 () |
Returns the vector1 Created in NX5.0.0. | |
NXOpen::Direction * | Vector2 () |
Returns the vector2 Created in NX5.0.0. | |
![]() | |
NXOpen::MeasureBuilder::AnnotationType | AnnotationMode () |
Returns the annotation mode Created in NX5.0.0. | |
bool | InfoWindow () |
Returns the info window Created in NX5.0.0. | |
NXOpen::MeasureBuilder::RequirementType | RequirementMode () |
Returns the requirement mode Created in NX5.0.0. | |
void | SetAnnotationMode (NXOpen::MeasureBuilder::AnnotationType atype) |
Sets the annotation mode Created in NX5.0.0. | |
void | SetInfoWindow (bool infoWindow) |
Sets the info window Created in NX5.0.0. | |
void | SetRequirementMode (NXOpen::MeasureBuilder::RequirementType rtype) |
Sets the requirement mode Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a MeasureAngleBuilder
To create a new instance of this class, use MeasureManager::CreateMeasureAngleBuilder
Created in NX5.0.0.
NXOpen::Point* NXOpen::MeasureAngleBuilder::BaseEnd | ( | ) |
Returns the end point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Point* NXOpen::MeasureAngleBuilder::BasePoint | ( | ) |
Returns the base point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::SelectDisplayableObject* NXOpen::MeasureAngleBuilder::Feature1 | ( | ) |
Returns the feature1
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::MeasureAngleBuilder::Feature2 | ( | ) |
Returns the feature2
Created in NX5.0.0.
License requirements : None
bool NXOpen::MeasureAngleBuilder::IsExact | ( | ) |
Returns the exact flag
Created in NX7.5.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::MeasureAngleBuilder::Object1 | ( | ) |
Returns the object1
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::MeasureAngleBuilder::Object2 | ( | ) |
Returns the object2
Created in NX5.0.0.
License requirements : None
NXOpen::MeasureAngleBuilder::ObjectType NXOpen::MeasureAngleBuilder::Objtype1 | ( | ) |
Returns the otype1
Created in NX5.0.0.
License requirements : None
NXOpen::MeasureAngleBuilder::ObjectType NXOpen::MeasureAngleBuilder::Objtype2 | ( | ) |
Returns the otype2
Created in NX5.0.0.
License requirements : None
NXOpen::MeasureAngleBuilder::OrientationType NXOpen::MeasureAngleBuilder::Orientation | ( | ) |
Returns the orientation
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::MeasureAngleBuilder::ProtractorEnd | ( | ) |
Returns the protractor end point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::MeasureAngleBuilder::ProjectionType NXOpen::MeasureAngleBuilder::Ptype | ( | ) |
Returns the ptype
Created in NX5.0.0.
License requirements : None
void NXOpen::MeasureAngleBuilder::SetBaseEnd | ( | NXOpen::Point * | baseEnd | ) |
Sets the end point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
baseEnd | baseend |
void NXOpen::MeasureAngleBuilder::SetBasePoint | ( | NXOpen::Point * | basePoint | ) |
Sets the base point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
basePoint | basepoint |
void NXOpen::MeasureAngleBuilder::SetExact | ( | bool | isExact | ) |
Sets the exact flag
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isExact | isexact |
void NXOpen::MeasureAngleBuilder::SetObjtype1 | ( | NXOpen::MeasureAngleBuilder::ObjectType | objtype | ) |
Sets the otype1
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
objtype | objtype |
void NXOpen::MeasureAngleBuilder::SetObjtype2 | ( | NXOpen::MeasureAngleBuilder::ObjectType | objtype | ) |
Sets the otype2
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
objtype | objtype |
void NXOpen::MeasureAngleBuilder::SetOrientation | ( | NXOpen::MeasureAngleBuilder::OrientationType | mtype | ) |
Sets the orientation
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
mtype | mtype |
void NXOpen::MeasureAngleBuilder::SetProtractorEnd | ( | NXOpen::Point * | protractorEnd | ) |
Sets the protractor end point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
protractorEnd | protractorend |
void NXOpen::MeasureAngleBuilder::SetPtype | ( | NXOpen::MeasureAngleBuilder::ProjectionType | mtype | ) |
Sets the ptype
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
mtype | mtype |
void NXOpen::MeasureAngleBuilder::SetVector1 | ( | NXOpen::Direction * | vector1 | ) |
Sets the vector1
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
vector1 | vector1 |
void NXOpen::MeasureAngleBuilder::SetVector2 | ( | NXOpen::Direction * | vector2 | ) |
Sets the vector2
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
vector2 | vector2 |
NXOpen::Direction* NXOpen::MeasureAngleBuilder::Vector1 | ( | ) |
Returns the vector1
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::MeasureAngleBuilder::Vector2 | ( | ) |
Returns the vector2
Created in NX5.0.0.
License requirements : None